> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Box Hubs resources

A set of endpoints used to manage Box Hubs.

## Box Hub

A standard representation of a Box Hub, as returned from any Box Hubs API endpoints by default.

<Accordion title="Attributes and example">
  | Property                                    | Type           | Required | Description                                                                                                                                                                                                                                             |
  | ------------------------------------------- | -------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`                                        | `string`       | Yes      | The unique identifier that represent a Box Hub. The ID for any Box Hub can be determined by visiting a Box Hub in the web application and copying the ID from the URL. For example, for the URL `https://*.app.box.com/hubs/123` the `hub_id` is `123`. |
  | `type`                                      | `enum<string>` | Yes      | The value will always be `hubs`. Available options: `hubs`.                                                                                                                                                                                             |
  | `title`                                     | `string`       | No       | The title given to the Box Hub.                                                                                                                                                                                                                         |
  | `description`                               | `string`       | No       | The description of the Box Hub. First 200 characters are returned.                                                                                                                                                                                      |
  | `created_at`                                | `string`       | No       | The date and time when the folder was created. This value may be `null` for some folders such as the root folder or the trash folder.                                                                                                                   |
  | `updated_at`                                | `string`       | No       | The date and time when the Box Hub was last updated.                                                                                                                                                                                                    |
  | `created_by`                                | `User (Mini)`  | No       | The user who created this Box Hub.                                                                                                                                                                                                                      |
  | `updated_by`                                | `User (Mini)`  | No       | The user who last modified this Box Hub.                                                                                                                                                                                                                |
  | `view_count`                                | `integer`      | No       | The number of views for the Box Hub.                                                                                                                                                                                                                    |
  | `is_ai_enabled`                             | `boolean`      | No       | Indicates if AI features are enabled for the Box Hub.                                                                                                                                                                                                   |
  | `is_collaboration_restricted_to_enterprise` | `boolean`      | No       | Indicates if collaboration is restricted to the enterprise.                                                                                                                                                                                             |
  | `can_non_owners_invite`                     | `boolean`      | No       | Indicates if non-owners can invite others to the Box Hub.                                                                                                                                                                                               |
  | `can_shared_link_be_created`                | `boolean`      | No       | Indicates if a shared link can be created for the Box Hub.                                                                                                                                                                                              |
  | `can_public_shared_link_be_created`         | `boolean`      | No       | Indicates if a public shared link can be created for the Box Hub.                                                                                                                                                                                       |

  ```json Example theme={null}
  {
    "id": "12345",
    "type": "hubs",
    "title": "Contracts",
    "description": "All the contracts for the company.",
    "created_at": "2012-12-12T10:53:43Z",
    "updated_at": "2012-12-12T10:53:43Z",
    "created_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "updated_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "view_count": 506,
    "is_ai_enabled": true,
    "is_collaboration_restricted_to_enterprise": true,
    "can_non_owners_invite": true,
    "can_shared_link_be_created": true,
    "can_public_shared_link_be_created": true
  }
  ```
</Accordion>

## Box Hub (Base)

The bare basic representation of a Box Hub.

<Accordion title="Attributes and example">
  | Property | Type           | Required | Description                                                                                                                                                                                                                                             |
  | -------- | -------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`     | `string`       | Yes      | The unique identifier that represent a Box Hub. The ID for any Box Hub can be determined by visiting a Box Hub in the web application and copying the ID from the URL. For example, for the URL `https://*.app.box.com/hubs/123` the `hub_id` is `123`. |
  | `type`   | `enum<string>` | Yes      | The value will always be `hubs`. Available options: `hubs`.                                                                                                                                                                                             |

  ```json Example theme={null}
  {
    "id": "12345",
    "type": "hubs"
  }
  ```
</Accordion>

## Box Hubs

A paginated list of hubs.

<Accordion title="Attributes and example">
  | Property      | Type                         | Required | Description                                                                                                                                                                            |
  | ------------- | ---------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `entries`     | array of [Box Hub](#box-hub) | No       | A list of hubs.                                                                                                                                                                        |
  | `limit`       | `integer`                    | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                     | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |

  ```json Example theme={null}
  {
    "entries": [
      {
        "id": "12345",
        "type": "hubs",
        "title": "Contracts",
        "description": "All the contracts for the company.",
        "created_at": "2012-12-12T10:53:43Z",
        "updated_at": "2012-12-12T10:53:43Z",
        "created_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "updated_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "view_count": 506,
        "is_ai_enabled": true,
        "is_collaboration_restricted_to_enterprise": true,
        "can_non_owners_invite": true,
        "can_shared_link_be_created": true,
        "can_public_shared_link_be_created": true
      }
    ],
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
  }
  ```
</Accordion>
